#!/bin/bash

# create kafka-jaas conf
cat >${HOME}/kafka_jaas.conf <<EOF
Client {
  org.apache.kafka.common.security.plain.PlainLoginModule required
  username="${KAFKA_JAAS_USERNAME}"
  password="${KAFKA_JAAS_PASSWORD}";
};
EOF

# provide kafka opts
export KAFKA_OPTS="-Dzookeeper.clientCnxnSocket=org.apache.zookeeper.ClientCnxnSocketNetty
-Dzookeeper.client.secure=true
-Dzookeeper.ssl.keyStore.location=$SSL_KEYSTORE_LOCATION
-Dzookeeper.ssl.keyStore.password=$SSL_KEYSTORE_PASSWORD
-Dzookeeper.ssl.trustStore.location=$SSL_TRUSTSTORE_LOCATION
-Dzookeeper.ssl.trustStore.password=$SSL_TRUSTSTORE_PASSWORD
-Dzookeeper.ssl.hostnameVerification=false
-Djava.security.auth.login.config=${HOME}/kafka_jaas.conf"

set -eux

# call connect-distributed script
/opt/kafka/bin/connect-distributed.sh /home/vmware/connect-distributed.properties
